uuid: 3e26aab1-5e8f-451c-9fee-dd0388ae5935
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_sponsor_category
    - field.storage.node.field_sponsor_picture
    - field.storage.node.field_sponsor_url
    - field.storage.taxonomy_term.field_icon
    - node.type.sponsor
    - taxonomy.vocabulary.sponsors_categories
  module:
    - image
    - link
    - node
    - taxonomy
    - user
id: sponsors
label: Sponsors
module: views
description: ''
tag: ''
base_table: node_field_data
base_field: nid
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: tag
        options: {  }
      query:
        type: views_query
        options:
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_comment: ''
          query_tags: {  }
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: none
        options:
          items_per_page: 0
          offset: 0
      style:
        type: default
        options:
          grouping:
            -
              field: nothing
              rendered: true
              rendered_strip: false
          row_class: col-lg-12
          default_row_class: true
      row:
        type: fields
      fields:
        field_sponsor_url:
          id: field_sponsor_url
          table: node__field_sponsor_url
          field: field_sponsor_url
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: true
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: uri
          type: link
          settings:
            trim_length: 80
            url_only: false
            url_plain: false
            rel: '0'
            target: '0'
          group_column: ''
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          plugin_id: field
        field_icon:
          id: field_icon
          table: taxonomy_term__field_icon
          field: field_icon
          relationship: field_sponsor_category
          group_type: group
          admin_label: ''
          label: ''
          exclude: true
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: image
          settings:
            image_style: ''
            image_link: ''
          group_column: ''
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          plugin_id: field
        field_sponsor_picture:
          id: field_sponsor_picture
          table: node__field_sponsor_picture
          field: field_sponsor_picture
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: true
            path: '{{ field_sponsor_url }}'
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: image
          settings:
            image_style: ''
            image_link: ''
          group_column: ''
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          plugin_id: field
        field_sponsor_category:
          id: field_sponsor_category
          table: node__field_sponsor_category
          field: field_sponsor_category
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: true
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: entity_reference_label
          settings:
            link: false
          group_column: target_id
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          plugin_id: field
        nothing:
          id: nothing
          table: views
          field: nothing
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: true
          alter:
            alter_text: true
            text: "<div id=\"{{ field_sponsor_category }}\" class=\"col-sm-3 group-category\">\r\n{{ field_icon }} \r\n{% if field_icon is empty and field_sponsor_category  ==  \"Diamond\" %}\r\n<img src=\"{{ url('<front>') }}{{ active_theme_path() }}/images/diamond20x20-2.png\" /> \r\n{% endif %}\r\n{% if field_icon is empty and field_sponsor_category  ==  \"Platinum\" %}\r\n<img src=\"{{ url('<front>') }}{{ active_theme_path() }}/images/flag-platinum.png\" /> \r\n{% endif %}\r\n{% if field_icon is empty and field_sponsor_category  ==  \"Gold\" %}\r\n<img src=\"{{ url('<front>') }}{{ active_theme_path() }}/images/flag-gold.png\" /> \r\n{% endif %}\r\n{% if field_icon is empty and field_sponsor_category  ==  \"Silver\" %}\r\n<img src=\"{{ url('<front>') }}{{ active_theme_path() }}/images/flag-silver.png\" /> \r\n{% endif %}\r\n{% if field_icon is empty and field_sponsor_category  ==  \"Bronze\" %}\r\n<img src=\"{{ url('<front>') }}{{ active_theme_path() }}/images/flag-bronze.png\" /> \r\n{% endif %}\r\n<span>{{ field_sponsor_category }}</span>\r\n</div>"
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: false
          plugin_id: custom
      filters:
        status:
          value: '1'
          table: node_field_data
          field: status
          plugin_id: boolean
          entity_type: node
          entity_field: status
          id: status
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
          group: 1
        type:
          id: type
          table: node_field_data
          field: type
          relationship: none
          group_type: group
          admin_label: ''
          operator: in
          value:
            sponsor: sponsor
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          entity_type: node
          entity_field: type
          plugin_id: bundle
      sorts:
        field_sponsor_category_target_id:
          id: field_sponsor_category_target_id
          table: node__field_sponsor_category
          field: field_sponsor_category_target_id
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          plugin_id: standard
      title: Sponsors
      header: {  }
      footer: {  }
      empty: {  }
      relationships:
        field_sponsor_category:
          id: field_sponsor_category
          table: node__field_sponsor_category
          field: field_sponsor_category
          relationship: none
          group_type: group
          admin_label: 'field_sponsor_category: Taxonomy term'
          required: false
          plugin_id: standard
        term_node_tid:
          id: term_node_tid
          table: node_field_data
          field: term_node_tid
          relationship: none
          group_type: group
          admin_label: term
          required: false
          vids:
            - sponsors_categories
          entity_type: node
          plugin_id: node_term_data
      arguments: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:field.storage.node.field_sponsor_category'
        - 'config:field.storage.node.field_sponsor_picture'
        - 'config:field.storage.node.field_sponsor_url'
        - 'config:field.storage.taxonomy_term.field_icon'
  block_1:
    display_plugin: block
    id: block_1
    display_title: Block
    position: 1
    display_options:
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:field.storage.node.field_sponsor_category'
        - 'config:field.storage.node.field_sponsor_picture'
        - 'config:field.storage.node.field_sponsor_url'
        - 'config:field.storage.taxonomy_term.field_icon'
